Package com.earth2me.essentials.api


package com.earth2me.essentials.api
  • Interface Summary
    Interface
    Description
    Manages EssentialsX's teleport functionality for a player.
    Deprecated.
    External plugins should prefer to use either the player's client language (Player.getLocale() or II18n in case of future additions.
    Deprecated.
    External plugins should use IItemDb instead, which includes access to IItemDb.ItemResolver APIs.
    Deprecated.
    External plugins should use IJails instead of this interface in case future APIs are added.
    Deprecated.
    This API is not asynchronous and is no longer maintained.
    Deprecated.
    External plugins should use IWarps instead of this interface, in case future APIs are added.
  • Class Summary
    Class
    Description
    You should use Vault instead of directly using this class.
  • Exception Summary
    Exception
    Description
    Deprecated.
    This exception relates to the abandoned 3.x storage refactor and is not implemented.
    Deprecated.
    This exception is unused.
    Thrown when a user does not have the balance for a transaction and cannot take a loan.
    Thrown when the requested user does not exist.